### Method

# Gdk Texture save_to_tiff_bytes

since: 4.6

#### Declaration [src]

    GBytes*
    gdk_texture_save_to_tiff_bytes (
      GdkTexture* texture
    )

#### Description [src]

Store the given `texture` in memory as a TIFF file.

Use `gdk_texture_new_from_bytes()` to read it back.

This function is intended to store a representation of the texture’s data that is as accurate as possible. This is particularly relevant when working with high dynamic range images and floating-point texture data.

If that is not your concern and you are interested in a smaller size and a more portable format, you might want to use `gdk_texture_save_to_png_bytes()`.

Available since: 4.6

#### Return value

Type: `GBytes`

A newly allocated `GBytes` containing TIFF data.

The caller of the method takes ownership of the data, and is responsible for freeing it.